## rtpamrpay rtpamrpay |

## Types and Values

struct | GstRtpAMRPay

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstRTPBasePayload
                        ╰── GstRtpAMRPay

## Description

Payload AMR audio into RTP packets according to RFC 3267. For detailed information see: http://www.rfc-editor.org/rfc/rfc3267.txt

### Example pipeline

    1
    gst-launch-1.0 -v audiotestsrc ! amrnbenc ! rtpamrpay ! udpsink

This example pipeline will encode and payload an AMR stream. Refer to the rtpamrdepay example to depayload and decode the RTP stream.

## Synopsis

### Element Information

plugin | rtp
author | Wim Taymans <wim.taymans@gmail.com>
class | Codec/Payloader/Network/RTP

### Element Pads

name | sink
direction | sink
presence | always
details | audio/AMR, channels=(int)1, rate=(int)8000
| audio/AMR-WB, channels=(int)1, rate=(int)16000

name | src
direction | source
presence | always
details | application/x-rtp, media=(string)audio, payload=(int)[ 96, 127 ], clock-rate=(int)8000, encoding-name=(string)AMR, encoding-params=(string)1, octet-align=(string)1, crc=(string)0, robust-sorting=(string)0, interleaving=(string)0, mode-set=(int)[ 0, 7 ], mode-change-period=(int)[ 1, 2147483647 ], mode-change-neighbor=(string){ 0, 1 }, maxptime=(int)[ 20, 2147483647 ], ptime=(int)[ 20, 2147483647 ]
| application/x-rtp, media=(string)audio, payload=(int)[ 96, 127 ], clock-rate=(int)16000, encoding-name=(string)AMR-WB, encoding-params=(string)1, octet-align=(string)1, crc=(string)0, robust-sorting=(string)0, interleaving=(string)0, mode-set=(int)[ 0, 7 ], mode-change-period=(int)[ 1, 2147483647 ], mode-change-neighbor=(string){ 0, 1 }, maxptime=(int)[ 20, 2147483647 ], ptime=(int)[ 20, 2147483647 ]

## Functions

## Types and Values

### struct GstRtpAMRPay

    struct GstRtpAMRPay;

## See Also

rtpamrdepay